[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.SetIndex

Sets the value for the Index property.

## Declaration

Source position: grids.pas line 594

`protected procedure TGridColumn.SetIndex(`
`Value: Integer`
`); override;`

## Arguments

`Value` |  | New value for the Index property.

## Description

SetIndex is an overridden method in TGridColumn used to set the value for the inherited Index property. When the property value is changed, and Grid is assigned, columns in the grid control are re-ordered to reflect their new value for the column (when needed). The inherited method is called to apply the new property value prior to exiting from the method.

## See also

TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TCustomGrid.GridColumnFromColumnIndex |  | Gets the ordinal position in Columns for the visible column specified in ColumnIndex.
TCustomGrid.DoOPMoveColRow |  | Performs a move operation for the column or row at the specified position.
TCollectionItem.Index